## org.apache.solr.client.solrj.response
Class UpdateResponse

    java.lang.Object
      org.apache.solr.client.solrj.SolrResponse
          org.apache.solr.client.solrj.response.SolrResponseBase
              org.apache.solr.client.solrj.response.UpdateResponse

All Implemented Interfaces:
  Serializable

    public class UpdateResponse

extends SolrResponseBase

TODO -- mostly a stub until we have a defined output format

Since:
  solr 1.3
Version:
  $Id: UpdateResponse.java 679649 2008-07-25 03:18:24Z ryan $
See Also:
  Serialized Form

Constructor Summary
`UpdateResponse()`

Method Summary

Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase
`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateResponse

    public UpdateResponse()

Copyright © 2009 Apache Software Foundation. All Rights Reserved.